# Troubleshooting

**When I tried using the Edge browser, the filters are not clearly visible when viewing data?**\
&#x20;Make sure you have proper screen resolution to get the filters displayed.

**Accessing RDA in firefox is working okay but chrome is giving this error** `NET::ERR_CERT_INVALID`**?**

* Right click, select inspect element
* click on console tab
* Copy paste `sendCommand(SecurityInterstitialCommandId.CMD_PROCEED)` press Enter
* Boom! it should load the page :)

For other solutions refer to this [page](https://stackoverflow.com/questions/58802767/no-proceed-anyway-option-on-neterr-cert-invalid-in-chrome-on-macos) to fix this issue on Chrome browser

**Not able to access RDA UI?**\
Make sure your docker service is up and running.\
Note: On Mac OS/Windows, check your desktop docker is up and running (docker icon will show up on)

\
**Why the following pipeline is failing at @dm: eval?**

```
%% stream = no and limit = 0
#snow:incidents     
-->  *dm:filter        number = 'INC0012366'
-->  @dm:save    name='temp-snow-incident'
-->  @c:new-block   
-->  @dm:recall    name='temp-snow-incident'
-->  @dm:map    from='description' & to='data'
-->  @dm:eval    subject='help.please'
-->  @nats:requests
```

dm: eval expects a proper valid expression. Add the following to @dm: eval to fix this.

`--> @dm:eval subject =`` `**`“‘help.please’”`**

#### Is there any way to export the output of bots() command into a CSV file or a dataset

Use  the following ( get\_bots() will return it as a data frame)

```
get_bots().to_csv('bots.csv')
```

&#x20;

**I want to pass `content-Type` as a header in the params for the rest-client bot, but I get a cfxql error:**

Use backquotes with cfxql   `` `Content-Type ``\`   (- is a special char for cfxql )

#### How to use extract FQDN from a string or a summary data?

Use grok exprssion to extract FQDN from a string or from summary data as shown in below example:

```
@c:new-block     
-->  @dm:empty    
-->  @dm:addrow summary='Device Performance for cfx-web01.engr.cloudfabrix.com 10.95.131.22 '
-->  @dm:grok column='summary' and pattern='%{(?i)([a-zA-Z0-9]+(-[a-zA-Z0-9]+)*\.)+[a-z]{2,}:fqdn}'
-->  @dm:grok column='summary' and pattern='%{IPV4:vm_ip_address}'

```

**I want to use grok in my pipelines, where can I get some examples?**

Below are pipeline code snippets that provide examples of how to use grok.

```
####
# Example -1 -- Extracting IP and port using pattern
####
@dm:empty
--> @dm:addrow description = "Server ip is 10.23.1.245 and port is 2345"
--> @dm:grok column = "description" & pattern = "Server ip is %{IP:server_ip} and port is %{INT:server_port}"

#####
#Example -2 
#####
@dm:empty
--> @dm:addrow instance = "SOME TEXT 10.1.2.5:8080"
--> @dm:extract columns = "instance" and expr = ".* (?P<ip_only>[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}).*"

#####
#Example -3 
#####
dm:empty
--> @dm:addrow instance = "SOME TEXT 10.1.2.5:8080"
--> @dm:grok column = "instance" and pattern = "%{IP:ip_address}:%{POSINT:port}?"

```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.cloudfabrix.io/rda/rda-faq/troubleshooting.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
